Package org.eclipse.emf.cdo.lm.reviews.util

# Interface ReviewsOperations

All Known Implementing Classes:
  `ReviewsOperationAuthorizer`

public interface ReviewsOperations

Since:
  1.3
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ABANDON_REVIEW`
`static final String`
`CREATE_COMMENT`
`static final String`
`CREATE_DELIVERY_REVIEW`
`static final String`
`CREATE_DROP_REVIEW`
`static final String`
`CREATE_TOPIC`
`static final String`
`DELETE_COMMENT`
`static final String`
`DELETE_REVIEW`
`static final String`
`DELETE_TOPIC`
`static final String`
`MERGE_FROM_SOURCE_REVIEW`
`static final String`
`MODIFY_TOPIC`
`static final String`
`REBASE_TO_TARGET_REVIEW`
`static final String`
`RESOLVE_TOPIC`
`static final String`
`RESTORE_REVIEW`
`static final String`
`SUBMIT_REVIEW`
`static final String`
`UNRESOLVE_TOPIC`

## Field Details

### CREATE_DELIVERY_REVIEW

static final String CREATE_DELIVERY_REVIEW

### CREATE_DROP_REVIEW

static final String CREATE_DROP_REVIEW

### REBASE_TO_TARGET_REVIEW

static final String REBASE_TO_TARGET_REVIEW

### MERGE_FROM_SOURCE_REVIEW

static final String MERGE_FROM_SOURCE_REVIEW

### SUBMIT_REVIEW

static final String SUBMIT_REVIEW

### ABANDON_REVIEW

static final String ABANDON_REVIEW

### RESTORE_REVIEW

static final String RESTORE_REVIEW

### DELETE_REVIEW

static final String DELETE_REVIEW

### CREATE_TOPIC

static final String CREATE_TOPIC

### MODIFY_TOPIC

static final String MODIFY_TOPIC

### RESOLVE_TOPIC

static final String RESOLVE_TOPIC

### UNRESOLVE_TOPIC

static final String UNRESOLVE_TOPIC

### DELETE_TOPIC

static final String DELETE_TOPIC

### CREATE_COMMENT

static final String CREATE_COMMENT

### DELETE_COMMENT

static final String DELETE_COMMENT